/**
 * JASMINe
 * Copyright (C) 2009-2011 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: NotificationEditorModel.as 7866 2011-03-25 15:10:48Z danesa $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.notificationeditor.cairngorm.model.domain
{
  import org.ow2.jasmine.monitoring.eos.notificationeditor.cairngorm.vo.*;


  /**
  * Cairngorm Model for the Notification Editor module
  *
  * @author Julien Nicoulaud
  */
  [Bindable]
  public class NotificationEditorModel {


        // =====================================================================
        // Variables
        // =====================================================================

        // Constants

        /**
        * The managed rule engine instance name
        */
        public const ruleEngineInstanceName : String = "notification";

        /**
        * The rule engine server side service name
        */
        public const ruleEngineServiceName : String = "notificationEditor_ruleEngineService";

    // Variables

    // None yet

        // =====================================================================
        // Constructors
        // =====================================================================

        /**
        * Builds the domain model for the Notification Editor module
        */
        public function NotificationEditorModel()
        {
        }

  }
}